select distinct sonar_measures.commitHash,
sonar_measures.projectID,
sonar_measures.classes as M_classes,
sonar_measures.files as M_files,
sonar_measures.lines as M_lines,
sonar_measures.ncloc as M_ncloc,
sonar_measures.numberOfClassesAndInterfaces as M_numberOfClassesAndInterfaces,
sonar_measures.missingPackageInfo as M_missingPackageInfo,
sonar_measures.package as M_package,
sonar_measures.statements as M_statements,
sonar_measures.functions as M_functions,  
sonar_measures.commentLines as M_commentLines,
sonar_measures.commentLinesDensity as M_commentLinesDensity,
sonar_measures.complexity as M_complexity,
sonar_measures.classComplexity as M_classComplexity,
sonar_measures.functionComplexity as M_functionComplexity,
sonar_measures.cognitiveComplexity as M_cognitiveComplexity,
sonar_measures.packageDependencyCycles as M_packageDependencyCycles,
sonar_measures.coverage as M_coverage,
sonar_measures.linesToCover as M_linesToCover,
sonar_measures.lineCoverage as M_lineCoverage,
sonar_measures.uncoveredLines as M_uncoveredLines,
sonar_measures.duplicatedLines as M_duplicatedLines,
sonar_measures.duplicatedBlocks as M_duplicatedBlocks,
sonar_measures.duplicatedFiles as M_duplicatedFiles,
sonar_measures.duplicatedLinesDensity as M_duplicatedLinesDensity

from
sonar_measures
